Bug 474220 - Behavior change for 'chmod -f' between rhel3 and rhel4/rhel5
Behavior change for 'chmod -f' between rhel3 and rhel4/rhel5
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: coreutils (Show other bugs)
5.2
All Linux
medium Severity medium
: rc
: ---
Assigned To: Ondrej Vasik
BaseOS QE
:
Depends On:
Blocks: 474232
  Show dependency treegraph
 
Reported: 2008-12-02 15:54 EST by Bryan Mason
Modified: 2010-10-23 02:18 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 05:17:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bryan Mason 2008-12-02 15:54:12 EST
Description of problem:

    The chmod command option "-f" does not behave the same between
    RHEL 3 and RHEL 5. Assuming the file /tmp/junk does not exist, the
    following command produces no output on RHEL 3:

        chmod -f 755 /tmp/junk

    On RHEL 5 the same command produces the following output:

        chmod: cannot access `/tmp/junk': No such file or directory

Version-Release number of selected component (if applicable):

    coreutils-5.97-14.el5

How reproducible:

    Every time.

Steps to Reproduce:

    1.  run "chmod -f 755 /tmp/nonexistent-file
  
Actual results:

    chmod: cannot access `/tmp/nonexistent-file': No such file or directory 

Expected results:

    Silence.  No error message from chmod.

Additional info:

    coreutils-5.97-18.el5 in RHEL 5.3 Beta behaves the same as
    coreutils-5.97-14.el5 in RHEL 5.2.
Comment 1 Ondrej Vasik 2008-12-02 16:35:51 EST
Thanks for report, already reported to upstream with proposed patch (http://lists.gnu.org/archive/html/bug-coreutils/2008-11/msg00217.html)
Comment 2 Ondrej Vasik 2008-12-02 16:37:04 EST
Just as a sidenote - it's not only chmod, but chown/chgrp issue as well ...
Comment 9 errata-xmlrpc 2009-09-02 05:17:20 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1262.html

Note You need to log in before you can comment on or make changes to this bug.